×
Kunena 6.0.1.1 released (09 Jul 2022)

The Kunena team has announce the arrival of Kunena 6.0.1.1 [K 6.0.1.1] which is now available for download as a native Joomla extension for J! 4.1.x. This version addresses most of the issues that were discovered in K 6.0.1.1 and issues discovered during the development stages of K 6.0

× Topics must relate to a currently supported version of Kunena. If you are unsure what is the current supported version of Kunena, please go to the download page.

If you are having problems then, for your own benefit, it would save us all a lot of time if you would kindly post your configuration report when you ask for help from this forum. If you do not post your configuration report we will not ask you for it but you will probably not get your problem solved, either.

Question Solution to using Kunena 5.x on J3.10.x using a BS5 template ?

More
5 months 3 weeks ago #1 by modernmagic
Has anyone come up with a workaround for using Kunena 5.x on J3.10.x using a BS5 template ?

I don't care if the Kunena template is a blank slate and I have to style it all.  I just need it to function on a BS5 Joomla-template.  

modernmagic.com completed joomla sites:

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #2 by Leen
I don't understand your question are you looking for a template for Kunena? if so why or for your website?
and what joomla and kunena template are you using now?.
I saw something here with template bs5
www.joomlart.com/member/downloads/joomlart/t4/t4-framework
 

L.v.d.A

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago #3 by modernmagic
Specifically I am using Crypsisb4 (which obviously is not BS5 compatible) on a J3 site using Helix Ultimate (which uses BS5).  

I am looking for a Kunena-template that works on a Joomla 3 site that is using a Bootstrap 5 Joomla-template.

The issue is that the tooltip breaks the Reply/Actions of Kunena because of a BS4/BS5 conflict.
This is the Console Error:

Uncaught TypeError: $(...).modal is not a function
    at HTMLDocument.<anonymous> (index.php?option=com_kunena&view=category&layout=list&catid=0&Itemid=1120:79:33)
    at u (jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2:27579)
    at Object.fireWith [as resolveWith] (jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2:28337)
    at Function.ready (jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2:30124)
    at HTMLDocument._ (jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2:27307)
(anonymous) @ index.php?option=com_kunena&view=category&layout=list&catid=0&Itemid=1120:79
u @ jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2
fireWith @ jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2
ready @ jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2
_ @ jquery.min.js?2f99c32ee8ebf2ccd92fe794159ac519:2
[Violation] Forced reflow while executing JavaScript took 66ms
 

modernmagic.com completed joomla sites:

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago - 5 months 3 weeks ago #4 by xillibit
Hello,

We have only in Kunena 6.0 (which is still in beta stage) a template which works with Boostrap 5 because it's a specific version build for Joomla! 4.1 and 4.0

For Kunena 5.2 we have templates compatible with Bootstrap 2.3.2, 3.x and 4.x

I don't provide support by PM, because this can be useful for someone else.
Last edit: 5 months 3 weeks ago by xillibit.

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago - 5 months 3 weeks ago #5 by 9themestore
Hi,

You can clone new template from the Crypsisb4 template and replace the bootstrap data attribute to compatible with Bootstrap 5 and the Helix Framework or T4 Framework. That is solution we are updating for all our templates.

Best regards,

- Please provide your site url if it has been lived.
- Please share tip if it worked fine with you.
- Don't be shy about using the "Thanks" button below if you found my comment helpful :)
Last edit: 5 months 3 weeks ago by 9themestore.

Please Log in or Create an account to join the conversation.

More
5 months 3 weeks ago - 5 months 3 weeks ago #6 by Leen

Specifically I am using Crypsisb4 (which obviously is not BS5 compatible) on a J3 site using Helix Ultimate (which uses BS5).  
 

for the helix ultimate have you already tried the setting as my picture ?.
don't forget to clean the joomla cache

L.v.d.A
Attachments:
Last edit: 5 months 3 weeks ago by Leen.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.071 seconds